> ## Documentation Index
> Fetch the complete documentation index at: https://developers.lucca.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an AxisSection by id

> Partial or complete update to an existing AxisSection.



## OpenAPI

````yaml /openapi-specs/organization-v3.yaml put /api/v3/axisSections/{id}
openapi: 3.1.0
info:
  title: Organization structure API
  version: '1.0'
  description: |
    Welcome on the documentation for the Organization Structure API
  contact:
    name: API Support
    url: https://support.lucca.fr
    email: contact@luccasoftware.com
  license:
    name: Unlicensed
    url: https://www.luccasoftware.com
servers:
  - url: https://{host}
    description: Your Lucca account URL.
    variables:
      host:
        default: example.ilucca.net
        description: >-
          The URL of your dedicated Lucca account: `{account}.{env}.{region}`.


          Account reflects your company name. Env indicates the environment.
          Region depends on your server location.


          **Please, use your test or sandbox environments (and not your
          production env.) for testing purposes.**


          Environments:

          - `ilucca`: production environment for customers.

          - `ilucca-test`: test environment for customers.

          - `ilucca-demo`: demo environment for prospects.


          Regions:

          - `.ch` for Swiss located accounts.

          - `.net` for the others.


          Regarding sandboxes, the pattern differs:
          `https://{account}-{sandboxName}.sandbox.{server}.luccasoftware.com`,
          where:

          - `{sandboxName}` is automatically generated upon creation.

          - `{server}` may be "eu1", "eu2" or "ch1".
security: []
tags:
  - name: Legal-Units
    description: Structure > Legal-units
  - name: Establishments
    description: Structure > Establishments
  - name: Departments
    description: Structure > Departments
  - name: Axis-sections
    description: Structure > Axes & Axis-sections
paths:
  /api/v3/axisSections/{id}:
    parameters:
      - $ref: '#/components/parameters/Authorization'
      - schema:
          type: integer
        name: id
        description: ID of the axis-section.
        in: path
        required: true
    put:
      tags:
        - Axis-sections
      summary: Update an AxisSection by id
      description: Partial or complete update to an existing AxisSection.
      operationId: put-api-v3-axisSections-axisSectionId
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OrgAxisSection'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/OrgAxisSection'
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
components:
  parameters:
    Authorization:
      name: Authorization
      required: true
      description: 'API key. Value must be formatted like so: `lucca application={api_key}`.'
      in: header
      schema:
        type: string
  schemas:
    OrgAxisSection:
      title: The Axis Section resource
      type: object
      allOf:
        - $ref: '#/components/schemas/AxisSectionTreeless'
        - properties:
            parentAxisSections:
              type: array
              items:
                $ref: '#/components/schemas/AxisSectionTreeless'
            childrenAxisSections:
              type: array
              items:
                $ref: '#/components/schemas/AxisSectionTreeless'
      x-tags:
        - Axis-sections
    AxisSectionTreeless:
      title: AxisSectionTreeless
      type: object
      properties:
        id:
          type: integer
          minimum: 1
        name:
          type: string
          readOnly: true
        url:
          type: string
          format: uri
          readOnly: true
        code:
          type: string
        multilingualName:
          type:
            - object
            - string
          description: >-
            The following characters should be avoided in the actual name of the
            axis-sections: `"["`, `"]"` and `"|"`. Besides, slashes `"/"` and
            backslashes `"\"` might also cause problems.


            To learn more about this, please refer to [Get Started With
            Axis-Sections](./get-started).
        description:
          type:
            - string
            - 'null'
        ownerId:
          type:
            - integer
            - 'null'
        startOn:
          type:
            - string
            - 'null'
          format: date-time
          readOnly: true
        endOn:
          type:
            - string
            - 'null'
          format: date-time
        active:
          type: boolean
          default: true
        axisId:
          type: integer
        isPublic:
          type: boolean
          default: true
        departments:
          type: array
          description: >-
            List of departments associated with this axis-section. Only
            applicable when `isPublic` is `false`.
          items:
            type: object
            properties:
              id:
                type: integer
        legalEntities:
          type: array
          description: >-
            List of legal entities associated with this axis-section. Only
            applicable when `isPublic` is `false`.
          items:
            type: object
            properties:
              id:
                type: integer
        users:
          type: array
          description: >-
            List of users associated with this axis-section. Only applicable
            when `isPublic` is `false`.
          items:
            type: object
            properties:
              id:
                type: integer
      required:
        - code
        - multilingualName
        - axisId

````